QGIS Application - Bug report #15739
Wrong "Zoom to layer" extent on a shapefile layer with logically deleted records
2016-10-21 10:34 PM - Alessandro Sarretta

Status: Open

Priority: Normal

Assignee:

Category: Unknown

Affected QGIS version:3.4.4 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 23661
Description

When clicking on the "Zoom to layer" function on a shapefile with logically-deleted records in the DBF, the zoom wrongly considers also
the logically deleted features.
Opening the attributes table for the layer correctly omits the logically-deleted records.

Test file can be found attached to this PostGIS ticket:
https://trac.osgeo.org/postgis/ticket/3645

Related issues:

Related to QGIS Application - Bug report # 15735: Wrong "Show feature count" ... Closed 2016-10-21
Related to QGIS Application - Feature request # 15740: Inform user of logical... Open 2016-10-21
History

#1 - 2016-10-22 03:04 AM - Sandro Santilli
- Target version set to Version 2.14
- Affected QGIS version changed from 2.16.2 to 2.14.7

2.14.8 (LTR) also affected [ missing in the Affected version set ]

#2 - 2017-05-01 01:02 AM - Giovanni Manghi
- Regression? set to No

- Easy fix? set to No

#3 - 2017-09-22 09:55 AM - Jiirgen Fischer
- Category set to Unknown

#4 - 2019-03-09 03:08 PM - Giovanni Manghi

- Status changed from Open to Closed

- Resolution set to end of life

End of life notice: QGIS 2.18 LTR

Source:
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

QGIS 3.4 has recently become our new Long Term Release (LTR) version. This is a major step in our history - a long term release version based on the
massive updates, library upgrades and improvements that we carried out in the course of the 2.x to 3x upgrade cycle.
https://trac.osgeo.org/postgis/ticket/3645
http://blog.qgis.org/2019/03/09/end-of-life-notice-qgis-2-18-ltr/

We strongly encourage all users who are currently using QGIS 2.18 LTR as their preferred QGIS release to migrate to QGIS 3.4. This new LTR version
will receive regular bugfixes for at least one year. It also includes hundreds of new functions, usability improvements, bugfixes, and other goodies. See the
relevant changelogs for a good sampling of all the new features that have gone into version 3.4

Most plugins have been either migrated or incorporated into the core QGIS code base.

We strongly discourage the continued use of QGIS 2.18 LTR as it is now officially unsupported, which means we’ll not provide any bug fix releases for it.

You should also note that we intend to close all bug tickets referring to the now obsolete LTR version. Original reporters will receive a notification of the
ticket closure and are encouraged to check whether the issue persists in the new LTR, in which case they should reopen the ticket.

If you would like to better understand the QGIS release roadmap, check out our roadmap page! It outlines the schedule for upcoming releases and will help
you plan your deployment of QGIS into an operational environment.

The development of QGIS 3.4 LTR has been made possible by the work of hundreds of volunteers, by the investments of companies, professionals, and
administrations, and by continuous donations and financial support from many of you. We sincerely thank you all and encourage you to collaborate and

support the project even more, for the long term improvement and sustainability of the QGIS project.

#5 - 2019-03-10 07:13 AM - Alessandro Sarretta
- Status changed from Closed to Reopened

Still active after checking with QGIS version 3.4.4-Madeira (QGIS code revision 31adb15) on Ubuntu 16.04.
The "Affected QGIS version" should be changed from 2.14.7 to 3.4, but | can't see how to do this... Or should | just open a new issue for that version?

#6 - 2019-03-10 06:03 PM - Giovanni Manghi

- Resolution deleted (end of life)

- Description updated

- Status changed from Reopened to Open

- Affected QGIS version changed from 2.14.7 to 3.4.4
